
@import url('https://fonts.googleapis.com/css2?family=Roboto+Mono:ital,wght@0,200;0,300;0,400;0,500;0,600;1,200;1,300;1,400;1,500;1,600&display=swap');

/**
 * General Styles
 */

* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

body {
  color: #FFFFFF;
  height: 200vh;
  font-family: 'Roboto Mono', monospace;
  line-height: 1.5rem;
}

html, body, section {
  block-size: 100%;
}

html {
  scroll-snap-type: y mandatory;
}
h1, h2, h3, h4, h5, h6 {
  margin: 10px auto;
  margin-bottom: 20px;
  text-decoration: underline;
}

a {
  color: #FFFFFF;
}

section {
  scroll-snap-stop: always;
  scroll-snap-align: start;
}

td, th {
  border-bottom: 2px solid #FFFFFF;
  border-right: 2px solid #FFFFFF;
  padding-left: 10px;
  text-align: left;
}

table code {
  color: #1C1C1C;
  display: inline;
  border-radius: 5px;
  background-color: #FFA927;
  padding: 0 1px;
}

ul {
  list-style: none;
}

li {
  padding-top: 5px;
}
.sub-list {
  padding-left: 5%;
}

img {
  width: 80%;
  height: auto;
  
}
pre.code {
  width: 96%;
  background-color: #101010;
  border-radius: 10px;
  margin: 10px auto;
  padding-left: 10px;
  overflow-x: scroll;
}
code.code {
  background-color: #101010;
  color: white;
  padding: 2px;
}

.flex-center-center {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-wrap: wrap;
}
.half-flex {
  display: inline-block;
  width: 40%;
  height: 60%;
  margin: 10% 3%;
  padding: 2%;
  border: 2px solid white;
  border-top: none;
  min-width: 300px;
}
.highlight {
  color: #1C1C1C;
  display: inline;
  border-radius: 5px;
  background-color: #FFA927;
}

#main-left-pd {
  padding-left: 50px;
}
/**
 * Side Navbar  styles
 */

.toggle-on {
  display: none;
  position: fixed;
  top: 47vh;
  height: 6vh;
  width: 2vw;
  font-size: 3vh;
  border: none;
  background: #FFFFFF;
  color: #1C1C1C;
}

.toggle-off {
  display: none;
  position: absolute;
  height: 6vh;
  width: 2vw;
  font-size: 3vh;
  right: 2vh;
  border: none;
  background: #1C1C1C9F;
  color: #FFFFFF;
}

.toggle-off-container {
  position: relative;
  width: 100%;
  height: fit-content;
}

.sidebar {
  width: 23vw;
  height: 96vh;
  top: 2vh;
  left: 2vh;
  position: fixed;
  background: #1C1C1C;
  border-radius: 10px;
  padding: 20px;
  overflow: scroll;
}

.download-resume {
  width: fit-content;
  margin: 20% auto;
  padding: 5px;
  border-left: 2px solid #FFFFFF;
  border-right: 2px solid #FFFFFF;
  border-bottom: 2px solid #FFFFFF;
  border-top: 2px solid #FFA927;


}
.download-resume a {
  font-size: 20px;
}
.recent-project {
  text-align: center;
  padding-bottom: 10px;
}

@media (max-width: 900px) {
  .sidebar {
    display: none;
    width: 96vw;
    height: 96vh;
  }

  .toggle-on, .toggle-off {
    display: block;
  }
}
.sidebar-name {
  border-left: 2px solid #FFA927;
  width: fit-content;
  padding: 0 10px;
}
.sidebar-name span {
  font-size: 30px;
}

.sidebar div a {
  color: #FFFFFF;
  text-decoration: none;
}


nav {
  margin: auto;
  margin-bottom: 20%;
  width: fit-content;
  text-align: center;
}
.nav-list {
  list-style: none;
  display: block;
}

.nav-list li {
  margin: 10% 0;
}

.nav-list li a {
  color: #FFFFFF;
  text-decoration: none;
  font-size: 20px;
}

.sidebar div a:hover {
  color: #F1F1F1;
  text-decoration: underline;
  
}
.nav-list li a:hover {
  color: #FFA927;
  font-size: 21px;
  text-decoration: underline;
}

.nav-social-links {
  width: fit-content;
  margin: auto;
}

.nav-social-links span {
  display: inline-block;
  margin: 0 20px;
}

.nav-social-links span:hover {
  transform: scale(1.3);
}
.nav-social-links span:hover a {
  color: #FFA927;
  text-decoration: none;
}

.profile {
  display: flex;
  align-items: center;
  justify-content: space-between;
  height: fit-content;
  margin-bottom: 10vh;
}
.profile-image {
  width: 75px;
  height: 75px;
  border: 1px solid #FFA927;
  border-radius: 50%;
  vertical-align: top;
  background-color: #FFA927;
}

.work-image {
  width: 70vw;
  height: auto;
  padding: 3vw;
}

/**
 * Main content styles
 */

.main {
  width: 73vw;
  position: absolute;
  right: 2vw;
  top: 2vh;
  background-color:#FFFFFF; 
  min-height: 96vh;
  border-radius: 10px;
  padding: 5px;
}

@media (max-width: 900px) {
  .main {
    left: 3vh;
    width: 95vw;
    z-index: 0;
  }
}

.main > section {
  height: 100vh;
  padding: 2vh 0;

}
.main > section > div:first-child {
  background-color: #1C1C1C;
  border-radius: 10px;
  height: 96vh;
  padding: 2vh;
  overflow: scroll;
}

.main h1 {
  text-align: center;
  margin-bottom: 1%;
}
/**
 * About Me Section styles
 */

 #aboutMe > div {
  overflow: scroll;
}

/**
 * Skills Section styles
 */

#skills > div {
  overflow: scroll;
}

#skills div ul li {
  margin-top: 1%;
  font-size: 19px;
}

.skills-list-heading {
  text-align: center;
  margin-bottom: 3%;
}

/**
 * Works Section styles
 */

#works > div {
  overflow: scroll;
}

#works > div h1 {
  text-align: center;
}

.works-container {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-wrap: wrap;
}
.work-container {
  position: relative;
  width: 400px;
  height: fit-content;
  margin: 3vh;
  padding: 2%;
  border: 2px solid #FFFFFF;
  border-top: none;
}
.work-container h2{
  margin-bottom: 3%;
}

.work-container div a {
  font-size: 30px;
  color: #FFFFFF;
}

.work-container div a:hover {
  color: #FFA927;
}
.work-link {
  color: white;
  text-decoration: none;
}
.work-link:hover {
  text-decoration: underline;
}
.lang-tag {
  color: #1C1C1C;
  display: inline;
  border-radius: 5px;
  background-color: #FFA927;
  padding: 0 1px;
}

.langs {
  padding: 2%;
  margin: 1%;
}
.project-link {
  height: fit-content;
  width: 100%;
  display: flex;
  justify-content: space-between;
}